Create Universe
Create a new universe
Request
Request Body
name*stringName of the universe.
Example: "Tech Asian companies"type*string (enum)Universe kind.
-
PRIVATE: visible to the owners, to the users with account management rights and to the users it is shared with. -
SHARED: also shared with an organization. -
SESAMM: managed by SESAMm, no owner, only SESAMm admins can manage it.
What the caller may do is given by
Values: "PRIVATE", "SHARED", "SESAMM"access_level.-
owneruuid | nullIdentifier of the user who will own the universe (admin only, defaults to the current user). Ignored for a SESAMM universe.
organizationuuidWith which organization the universe is shared
companyuuid(deprecated)Deprecated alias of
organization. If both are specified, they must be equal.descriptionstring | nullDescription of the universe
Example: "The Asian companies that are in the Tech sector"
{
"name": "Tech Asian companies",
"type": "PRIVATE",
"owner": "00000000-0000-0000-0000-000000000000",
"organization": "00000000-0000-0000-0000-000000000000",
"company": "00000000-0000-0000-0000-000000000000",
"description": "The Asian companies that are in the Tech sector"
}Response
Error
Bad request
message*stringError message.
Example: "Check the errors field for more details"code*number (enum)Error code.
Values: 400reason*string (enum)Error reason.
Values: "invalid"errorsobject[]Possible error causes.
Array length: [1, ∞]
{
"message": "Check the errors field for more details",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "string",
"field": "name",
"reason": "invalid_type"
}
]
}Forbidden
message*stringError message.
Example: "The target of this access grant is not eligible to receive it."code*number (enum)Error code.
Values: 403reason*string (enum)Error reason.
Values: "forbidden"
{
"message": "The target of this access grant is not eligible to receive it.",
"code": 403,
"reason": "forbidden"
}Not found
message*stringError message.
Example: "The requested universe does not exist or is not visible to your organization."code*number (enum)Error code.
Values: 404reason*string (enum)Error reason.
Values: "not_found"
{
"message": "The requested universe does not exist or is not visible to your organization.",
"code": 404,
"reason": "not_found"
}Generic errors are not shown, see Errors for more details.